Bug 72708 - Master fails to build with older gcc due to -msse4.1
Master fails to build with older gcc due to -msse4.1
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Mesa core
git
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: mesa-dev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-14 14:13 UTC by Lauri Kasanen
Modified: 2013-12-21 06:42 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lauri Kasanen 2013-12-14 14:13:02 UTC
My GCC does not support the -msse4.1 switch. It should be detected in configure before trying to use it, for example with the AX_CHECK_COMPILE_FLAG macro from the autoconf archive.

This was added in commit 6f2e81ce4cc by Matt Turner.
Comment 1 Matt Turner 2013-12-16 00:36:16 UTC
-msse4.1 has existed in gcc since 4.3. 4.3 was released five and a half years ago. Why are you using something older than that?

Sounds like you've got a good idea how to solve it. Send a patch and I'll review it.
Comment 2 Lauri Kasanen 2013-12-16 09:04:20 UTC
Originally to be compatible with the BSDs and Mac, now it's just convenient for building binaries that run on any distro (with newer GCCs requiring newer libstdc++).

I think it would be fair for you to fix it since you broke it ;) but sure, I'll provide a patch this week.
Comment 3 Matt Turner 2013-12-21 06:42:54 UTC
Committed your patch. Thanks